from django.conf.urls.defaults import patterns, include, url
from vands.views import redireccion_login, login_form, login, logout
from vands.views import registro, editar_apariencia, editar_apariencia_clases_render, nueva_apariencia
from vands.views import room, room_clases_render
from vands.views import bands, bands_clases_render, nueva_banda, borrar_banda
from vands.views import nuevo_miembro, borrar_miembro, nueva_peticion, borrar_peticion, confirmarmiembro, confirmarmiembro_clases_render, confirmarmiembro_javascript_file
from vands.views import horario, horario_clases_render, nuevo_horario, borrar_horario
from vands.views import tienda_instrumentos, tienda_instrumentos_clases_render, compra_instrumentos, compra_instrumentos_clases_render, compra_instrumentos_javascript_file, nuevo_instrumento
from vands.views import concert, concert_clases_render, nuevo_publico, borrar_peticion_concierto
from vands.views import upload_file, vands_lib, javascript_file

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'vands.views.home', name='home'),
    # url(r'^vands/', include('vands.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),
	(r'^accounts/login/$', redireccion_login),
	(r'^accounts/logout/$', redireccion_login),
	(r'^$', redireccion_login),
	(r'^login-form/$', login_form),
	(r'^login/$', login),
	(r'^logout/$', logout),
	(r'^registro/$', registro),
	(r'^editar_apariencia/$', editar_apariencia),
	(r'^editar_apariencia/clases.js$', editar_apariencia_clases_render),
	(r'^editar_apariencia/nueva_apariencia_([0-9]+.?[0-9]*)_([0-9]+.?[0-9]*)_([0-9]+.?[0-9]*)_([0-9]+.?[0-9]*)_([0-9]+.?[0-9]*)_(-?[0-9]+.?[0-9]*)_(-?[0-9]+.?[0-9]*)$', nueva_apariencia),
	(r'^room/$', room),
	(r'^room/clases.js$', room_clases_render),
	(r'^bands/$', bands),
	(r'^bands/clases.js$', bands_clases_render),
	(r'^bands/nueva_banda_([a-zA-Z]+)$', nueva_banda),
	(r'^bands/borrar_banda_([a-zA-Z]+)$', borrar_banda),
	(r'^room/nuevo_miembro_([a-zA-Z]+)$', nuevo_miembro),
	(r'^bands/borrar_miembro_([a-zA-Z]+)_([a-zA-Z]+)$', borrar_miembro),
	(r'^bands/confirmarmiembro_([a-zA-Z]+)_([a-zA-Z]+)/nueva_peticion$', nueva_peticion),
	(r'^room/borrar_peticion_banda_([a-zA-Z]+)_([0-1])$', borrar_peticion),
	(r'^bands/confirmarmiembro_[a-zA-Z]+_[a-zA-Z]+/$', confirmarmiembro),
	(r'^bands/confirmarmiembro_([a-zA-Z]+)_([a-zA-Z]+)/clases.js$', confirmarmiembro_clases_render),
	(r'^bands/confirmarmiembro_[a-zA-Z]+_[a-zA-Z]+/([a-zA-Z]+).js$', confirmarmiembro_javascript_file),
	(r'^horario/$', horario),
	(r'^horario/clases.js$', horario_clases_render),
	(r'^horario/nuevo_horario_([a-zA-Z]+)_([0-6])_([1-2]?[0-9])_([0-2][0-9])', nuevo_horario),
	(r'^horario/borrar_horario_([a-zA-Z]+)_([0-6])_([1-2]?[0-9])', borrar_horario),
	(r'^tienda_instrumentos/$', tienda_instrumentos),
	(r'^tienda_instrumentos/clases.js$', tienda_instrumentos_clases_render),
	(r'^tienda_instrumentos/[a-zA-Z]+/$', compra_instrumentos),
	(r'^tienda_instrumentos/([a-zA-Z]+)/clases.js$', compra_instrumentos_clases_render),
	(r'^tienda_instrumentos/[a-zA-Z]+/([a-zA-Z]+).js$', compra_instrumentos_javascript_file),
	(r'^tienda_instrumentos/[a-zA-Z]+/nuevo_instrumento_([a-zA-Z0-9]+)$', nuevo_instrumento),
	(r'^concert/$', concert),
	(r'^concert/clases.js$', concert_clases_render),
    (r'^room/nuevo_publico_([0-9]+)$', nuevo_publico),
    (r'^room/borrar_peticion_concierto_([0-9]+)$', borrar_peticion_concierto),
	(r'^upload/$', upload_file),
	(r'/vands_lib.js$', vands_lib),
	(r'^([a-zA-Z]+_?[a-zA-Z]+)/([a-zA-Z]+).js$', javascript_file),
)
